Bug 150487 - keyboard-interactive authentication fails
keyboard-interactive authentication fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 11:29 EST by Bill Peck
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 15:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2005-03-07 11:29:17 EST
Description of problem:
ssh into host with keyboard-interactive enabled and it will fail with permision
denied.

Version-Release number of selected component (if applicable):
openssh-3.9p1-8.RHEL4.1.i386

How reproducible:
everytime

Steps to Reproduce:

[lbpeck@localhost ~]$ ssh -o PreferredAuthentications=keyboard-interactive
root@i386-4as.test.redhat.com
Warning: Permanently added 'i386-4as.test.redhat.com' (RSA) to the list of known
hosts.
Permission denied (publickey,gssapi-with-mic,password).
Comment 1 Tomas Mraz 2005-03-07 12:04:26 EST
This can't work as the keyboard-interactive authentication method is not enabled
on the server.
Comment 2 Bill Peck 2005-03-29 12:30:31 EST
But it enabled on Solaris and it fails there as well.
Comment 3 Tomas Mraz 2005-03-29 12:49:27 EST
Could you attach output when running the ssh with -vvv option?
And could you attach the sshd_config from the server?
Comment 4 Tomas Mraz 2005-05-25 15:09:28 EDT
No response.

Note You need to log in before you can comment on or make changes to this bug.